# DOMImplementationCSS : Object
Return to: HTML DOM Level 2 index

Provides a method to create a CSSStyleSheet object outside of the document.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | no | no | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
DOMImplementationCSS Constructor() : DOMImplementationCSS Provides a method to create a CSSStyleSheet object outside of the document. | Show Details | no | 1.0+ | no | no | no

### DOMImplementationCSS() : DOMImplementationCSS

Provides a method to create a CSSStyleSheet object outside of the document.

Returns

DOMImplementationCSS |

Visibility
  internal

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
createCSSStyleSheet(DOMString title, [DOMString media]) : CSSStyleSheet Creates a new CSSStyleSheet object. | Show Details | no | 1.0+ | no | no | no

Parameters

DOMString | title | Advisory title of the new CSSStyleSheet.
DOMString | media | (optional)Comma-delimited list of media types associated with the new CSSStyleSheet.

Returns

CSSStyleSheet |

Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs